Package opennlp.tools.cmdline.sentiment

# Class SentimentEvaluatorTool

java.lang.Object
opennlp.tools.cmdline.CmdLineTool
opennlp.tools.cmdline.TypedCmdLineTool<opennlp.tools.sentiment.SentimentSample,opennlp.tools.cmdline.sentiment.SentimentEvaluatorTool.EvalToolParams>
opennlp.tools.cmdline.AbstractTypedParamTool<opennlp.tools.sentiment.SentimentSample,opennlp.tools.cmdline.sentiment.SentimentEvaluatorTool.EvalToolParams>
opennlp.tools.cmdline.AbstractEvaluatorTool<opennlp.tools.sentiment.SentimentSample,opennlp.tools.cmdline.sentiment.SentimentEvaluatorTool.EvalToolParams>
opennlp.tools.cmdline.sentiment.SentimentEvaluatorTool

public class SentimentEvaluatorTool extends opennlp.tools.cmdline.AbstractEvaluatorTool<opennlp.tools.sentiment.SentimentSample,opennlp.tools.cmdline.sentiment.SentimentEvaluatorTool.EvalToolParams>
Class for creating an evaluation tool for sentiment analysis.

See Also:
  - `SentimentEvaluatorTool.EvalToolParams`
  - `SentimentSample`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SentimentEvaluatorTool()`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getShortDescription()`
  Returns the short description of the tool
  `void`
  `run(String format, String[] args)`
  Runs the tool

  ### Methods inherited from class opennlp.tools.cmdline.AbstractTypedParamTool

  `getHelp`

  ### Methods inherited from class opennlp.tools.cmdline.TypedCmdLineTool

  `getHelp`

  ### Methods inherited from class opennlp.tools.cmdline.CmdLineTool

  `getName, hasParams`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SentimentEvaluatorTool

    public SentimentEvaluatorTool()
    Constructor

- ## Method Details

  - ### getShortDescription

    public String getShortDescription()
    Returns the short description of the tool
    Overrides:
      `getShortDescription` in class `opennlp.tools.cmdline.CmdLineTool`
    Returns:
      short description

  - ### run

    public void run(String format, String[] args)
    Runs the tool
    Overrides:
      `run` in class `opennlp.tools.cmdline.AbstractEvaluatorTool<opennlp.tools.sentiment.SentimentSample,opennlp.tools.cmdline.sentiment.SentimentEvaluatorTool.EvalToolParams>`
    Parameters:
      `format` - the format to be used
      `args` - the arguments